package renderer

import "net/http"

const groupsettingsMenu = "groupsettings"

func (renderer *Renderer) GroupSettingsDisplay(w http.ResponseWriter, r *http.Request, group any, groupmembers []any, admins []any) {
	files := renderer.ThemeConfig.GetStringSlice("views.group.settings.files")
	state := NewState(r, renderer.ThemeConfig, groupsettingsMenu)
	state.ViewState = map[string]any{
		"group":   group,
		"members": groupmembers,
		"admins":  admins,
	}

	renderer.Render("group settings", w, r, files, state)
}
